#include <bits/stdc++.h>
using namespace std;
typedef long long ll;

int main()
{
	ios::sync_with_stdio(0);cin.tie(0);
	//cout << setprecision(6) << fixed;
	int n , k;
	cin >> n >> k;
	cout << (1LL << n ) + (1LL << k);
	return 0;
}
